package com.engine.kq.service.impl;

import com.engine.core.impl.Service;
import com.engine.kq.cmd.balanceofleave.*;
import com.engine.kq.service.KQBalanceOfLeaveService;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * 余额规则
 */
public class KQBalanceOfLeaveServiceImpl extends Service implements KQBalanceOfLeaveService {

    @Override
    public Map<String, Object> getRightMenu(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetRightMenuCmd(params, user));
    }

    @Override
    public Map<String, Object> getSearchCondition(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetSearchConditionCmd(params, user));
    }

    @Override
    public Map<String, Object> getSearchList(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetSearchListCmd(params, user));
    }

    @Override
    public Map<String, Object> batchProcessing(Map<String, Object> params, User user) {
        return commandExecutor.execute(new BatchProcessingCmd(params, user));
    }

    @Override
    public Map<String, Object> getTabs(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetTabCmd(params, user));
    }

    @Override
    public Map<String, Object> saveBalanceOfLeave(Map<String, Object> params, User user) {
        return commandExecutor.execute(new SaveBalanceOfLeaveCmd(params, user));
    }

    @Override
    public Map<String, Object> getImportForm(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetImportFormCmd(params, user));
    }

    @Override
    public Map<String, Object> saveImport(Map<String, Object> params, User user, HttpServletRequest request) {
        return commandExecutor.execute(new SaveImportCmd(params, user,request));
    }
}
